Download it now!
Bug 103718 - FORMATTING: brackets rotates depending on surrounding text in vertical layout
Summary: FORMATTING: brackets rotates depending on surrounding text in vertical layout
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: CJK HarfBuzz-regressions Vertical-Text
  Show dependency treegraph
 
Reported: 2016-11-05 06:23 UTC by Mark Hung
Modified: 2017-02-24 23:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample that mix English,CJK text, and several kinds of brackets. (10.54 KB, application/vnd.oasis.opendocument.text)
2016-11-05 06:23 UTC, Mark Hung
Details
Screenshot 5.2.1.2 v.s 5.3.0.0alpha1 (34.61 KB, image/png)
2016-11-05 06:24 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2016-11-05 06:23:42 UTC
Created attachment 128505 [details]
Sample that mix English,CJK text, and several kinds of brackets.
Comment 1 Mark Hung 2016-11-05 06:24:45 UTC
Created attachment 128506 [details]
Screenshot 5.2.1.2 v.s 5.3.0.0alpha1
Comment 2 Khaled Hosny 2016-11-05 12:53:44 UTC
I think we really need to do an extra pass of itemization for vertical direction, relying on the resolved script is not enough.

But the hardest part is coming up with the criteria for itemization, and I really need some help here.
Comment 3 Mark Hung 2016-11-07 17:42:03 UTC
In  ScriptRun::next(), it follows the 5.1 of UAX#24 that parentheses have the same script as its enclosing characters. I'm guessing maybe it is good enough to ignore this rule for vertical layout.
Comment 4 Volga 2016-11-08 15:42:46 UTC
UTR #50 has some informations for this 
http://www.unicode.org/reports/tr50/
Comment 5 Commit Notification 2016-11-09 23:14:24 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73b9b72cf1658208c2b2eb10cc0acfc3833dd875

tdf#103718: Correctly set vertical direction

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Mark Hung 2016-11-10 21:40:10 UTC
It is correct now. Thanks.